GET /v2/meetings.json
Operation ID: —
Auth: unknown
Description
Fetches multiple meeting records. The records can be filtered, paged, and sorted according to the respective parameters. Meetings resource is responsible for events created via the Salesloft platform using calendaring features. These events can relate to cadences, people, and accounts.
Parameters (19)
(string, query, optional)
Filters meetings by account_id. Multiple account ids can be applied
(array, query, optional)
Equality filters that are applied to the created_at field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}
(array, query, optional)
List of event IDs. If both event_ids and i_cal_uids params are passed, this filters will be ORed. If a record can't be found, that record won't be returned and your request will be successful
(array, query, optional)
List of UIDs provided by calendar provider. If both event_ids and i_cal_uids params are passed, this filters will be ORed. If a record can't be found, that record won't be returned and your request will be successful
(array, query, optional)
IDs of meetings to fetch. If a record can't be found, that record won't be returned and your request will be successful
(boolean, query, optional)
Flag to indicate whether to include owned_by_meetings_settings and booked_by_meetings_settings objects
(boolean, query, optional)
Whether to include total_pages and total_count in the metadata. Defaults to false
(boolean, query, optional)
Specifies whether the max limit of 10k records should be applied to pagination counts. Affects the total_count and total_pages data
(integer, query, optional)
The current page to fetch results from. Defaults to 1
(integer, query, optional)
How many records to show per page in the range [1, 100]. Defaults to 25
(string, query, optional)
Filters meetings by person_id. Multiple person ids can be applied
(array, query, optional)
Filters meetings by person_id. Multiple person ids can be applied
(boolean, query, optional)
Whether to include deleted events in the result
(string, query, optional)
Key to sort on, must be one of: start_time, created_at, updated_at. Defaults to start_time
(string, query, optional)
Direction to sort in, must be one of: ASC, DESC. Defaults to DESC
(array, query, optional)
Equality filters that are applied to the start_time field. A single filter can be used by itself or combined with other filters to create a range. ---CUSTOM--- {"type":"object","keys":[{"name":"gt","type":"iso8601 string","description":"Returns all matching records that are greater than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"gte","type":"iso8601 string","description":"Returns all matching records that are greater than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lt","type":"iso8601 string","description":"Returns all matching records that are less than the provided iso8601 timestamp. The comparison is done using microsecond precision."},{"name":"lte","type":"iso8601 string","description":"Returns all matching records that are less than or equal to the provided iso8601 timestamp. The comparison is done using microsecond precision."}]}
(string, query, optional)
Filters meetings by status. Possible values are: pending, booked, failed, retry
(array, query, optional)
Filters meetings by task_id. Multiple task ids can be applied
(array, query, optional)
Filters meetings by user_guid. Multiple user guids can be applied
No probe data for this endpoint yet.